from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextCursor

@runtime_checkable
class XSentenceCursor(XTextCursor, Protocol):
    def isStartOfSentence(self) -> bool: ...
    def isEndOfSentence(self) -> bool: ...
    def gotoNextSentence(self, Expand: bool) -> bool: ...
    def gotoPreviousSentence(self, Expand: bool) -> bool: ...
    def gotoStartOfSentence(self, Expand: bool) -> bool: ...
    def gotoEndOfSentence(self, Expand: bool) -> bool: ...
